org.apache.lucene.analysis.miscellaneous

## Class KeepWordFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.KeepWordFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class KeepWordFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Factory for `KeepWordFilter`.

     <fieldType name="text_keepword" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.KeepWordFilterFactory" words="keepwords.txt" ignoreCase="false"/>
       </analyzer>
     </fieldType>

Since:
  3.1

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`KeepWordFilterFactory(Map<String,String> args)` Creates a new KeepWordFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream
`CharArraySet` `getWords()`
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`boolean` `isIgnoreCase()`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeepWordFilterFactory

    public KeepWordFilterFactory(Map<String,String> args)

Creates a new KeepWordFilterFactory

### Method Detail

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### isIgnoreCase

    public boolean isIgnoreCase()

#### getWords

    public CharArraySet getWords()

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`